Bug 435061 - Xenner does not support pygrub bootloader
Xenner does not support pygrub bootloader
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xenner (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Gerd Hoffmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: LibvirtXenner
  Show dependency treegraph
 
Reported: 2008-02-26 23:06 EST by Daniel Berrange
Modified: 2008-04-11 11:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-11 11:41:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2008-02-26 23:06:05 EST
Description of problem:
Paravirt xen guests need to boot from a kernel/initrd. This works fine for the
initial install, but post-install it is neccessary to boot from the
kernel/initrd inside the guest. This requires use of pygrub.

Xenner does not support invoking pygrub.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Gerd Hoffmann 2008-02-27 07:44:25 EST
pygrub is supported, it is invoked automatically when started without -kernel
option.  It isn't documented though (which should be fixed, so I leave that one
open as reminder to update the docs).
Comment 2 Daniel Berrange 2008-02-27 17:50:48 EST
We should probably add an explicit command line param

  -bootloader PATH-TO-BOOTLOADER

Libvirt's XML format allows us to specify an arbitrary path to a bootloader, and
I thus was planning to add a '-bootloader' flag to qemu-dm to support Xennite,
so we might as well keep Xenner consistent in this regard & do the same.
Comment 3 Gerd Hoffmann 2008-04-10 07:15:32 EDT
-bootloader arg sounds very useful.  I'll implement that.
Comment 4 Gerd Hoffmann 2008-04-11 11:41:01 EDT
Done.

Note You need to log in before you can comment on or make changes to this bug.